Bug 1825893 - [sig-network] NetworkPolicy [LinuxOnly] NetworkPolicy between server and client [Top Level] [sig-network] NetworkPolicy [LinuxOnly] NetworkPolicy between server and client should enforce policy based on NamespaceSelector with MatchExpressions[Feature:Netw
Summary: [sig-network] NetworkPolicy [LinuxOnly] NetworkPolicy between server and clie...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Tim Rozet
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 1823460
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-20 12:54 UTC by Ben Bennett
Modified: 2020-05-04 11:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1823460
Environment:
Last Closed: 2020-05-04 11:50:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 135 0 None closed Bug 1823557: Upstream merge 2020-04-20 2020-06-09 22:56:15 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:50:32 UTC

Comment 1 Tim Rozet 2020-04-20 18:41:48 UTC
Fixed by https://github.com/openshift/ovn-kubernetes/pull/135

Comment 5 Dan Winship 2020-04-23 12:26:52 UTC
(In reply to zhaozhanqi from comment #4)
> Met this issue again in
> https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-
> openshift-ocp-installer-e2e-aws-ovn-4.4/1355

That is failing a *different* NetworkPolicy test, and it's apparently a result of some general problem with the test cluster (as several of the other tests failed randomly as well). The specific bug that resulted in the "MatchExpressions" NetworkPolicy test failing is believed to be fixed.

Comment 7 zhaozhanqi 2020-04-24 02:40:52 UTC
thanks Dan, yes this is another test case maybe cluster issue. 

Move this bug to verified.

Comment 9 errata-xmlrpc 2020-05-04 11:50:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.